Uses of Annotation Interface
org.apache.juneau.commons.Schema
Packages that use Schema
Package
Description
HTTP Part Annotations
HTTP Header Beans
HTTP Response Exception Beans
Marshalling API
Example / demo Microservice REST Resources
Petstore console Developer pages: custom cards, themes, rendering flavors and the secure API demo.
Petstore console orders page and its JSON endpoints.
Petstore console pets pages and their JSON endpoints.
REST Interface Helper Classes
Remote service API
-
Uses of Schema in org.apache.juneau.http
Methods in org.apache.juneau.http with parameters of type Schema -
Uses of Schema in org.apache.juneau.http.classic.header
Classes in org.apache.juneau.http.classic.header with annotations of type SchemaModifier and TypeClassDescriptionclassCategory of headers that consist of a single boolean value.classCategory of headers that consist of a single integer value.classCategory of headers that consist of a single long value.classRepresents a parsedContent-Encoding HTTP response header. -
Uses of Schema in org.apache.juneau.http.classic.response
Classes in org.apache.juneau.http.classic.response with annotations of type SchemaModifier and TypeClassDescriptionclassRepresents anHTTP 202 Accepted response.classRepresents anHTTP 208 Already Reported response.classException representing an HTTP 400 (Bad Request).classException representing an HTTP 409 (Conflict).classRepresents anHTTP 100 Continue response.classRepresents anHTTP 201 Created response.classRepresents anHTTP 103 Early Hints response.classException representing an HTTP 417 (Expectation Failed).classException representing an HTTP 424 (Failed Dependency).classException representing an HTTP 403 (Forbidden).classRepresents anHTTP 302 Found response.classException representing an HTTP 410 ().classException representing an HTTP 505 ().classRepresents anHTTP 226 IM Used response.classException representing an HTTP 507 ().classException representing an HTTP 500 (Internal Server Error).classException representing an HTTP 411 ().classException representing an HTTP 423 (Locked).classException representing an HTTP 508 (Loop Detected).classException representing an HTTP 405 (Method Not Allowed).classException representing an HTTP 421 (Misdirected Request).classRepresents anHTTP 301 Moved Permanently response.classRepresents anHTTP 300 Multiple Choices response.classRepresents anHTTP 207 Multi-Status response.classException representing an HTTP 511 (Network Authentication Required).classRepresents anHTTP 204 No Content response.classRepresents anHTTP 203 Non-Authoritative Information response.classException representing an HTTP 406 (Not Acceptable).classException representing an HTTP 510 (Not Extended).classException representing an HTTP 404 (Not Found).classException representing an HTTP 501 (Not Implemented).classRepresents anHTTP 304 Not Modified response.classRepresents anHTTP 200 OK response.classRepresents anHTTP 206 Partial Content response.classException representing an HTTP 413 (Payload Too Large).classRepresents anHTTP 308 Permanent Redirect response.classException representing an HTTP 412 (Precondition Failed).classException representing an HTTP 428 (Precondition Required).classRepresents anHTTP 102 Processing response.classException representing an HTTP 416 (Range Not Satisfiable).classException representing an HTTP 431 (Request Header Fields Too Large).classRepresents anHTTP 205 Reset Content response.classRepresents anHTTP 303 See Other response.classException representing an HTTP 503 (Service Unavailable).classRepresents anHTTP 101 Switching Protocols response.classRepresents anHTTP 307 Temporary Redirect response.classException representing an HTTP 429 (Too Many Requests).classException representing an HTTP 401 (Unauthorized).classException representing an HTTP 451 (Unavailable For Legal Reasons).classException representing an HTTP 422 (Unprocessable Entity).classException representing an HTTP 415 (Unsupported Media Type).classException representing an HTTP 426 (Upgrade Required).classException representing an HTTP 414 (URI Too Long).classRepresents anHTTP 305 Use Proxy response.classException representing an HTTP 506 (Variant Also Negotiate). -
Uses of Schema in org.apache.juneau.marshall
Fields in org.apache.juneau.marshall declared as SchemaMethods in org.apache.juneau.marshall that return SchemaModifier and TypeMethodDescriptionSchemaAnnotation.Builder.build()Instantiates a new@Schemaobject initialized with this builder.Methods in org.apache.juneau.marshall with parameters of type SchemaModifier and TypeMethodDescriptionstatic JsonMapConverts the specified@Schema annotation into a generic map.static booleanReturnstrue if the specified annotation contains all default values.Sets theSchemaApply.value()property on this annotation. -
Uses of Schema in org.apache.juneau.microservice.examples
Classes in org.apache.juneau.microservice.examples with annotations of type SchemaModifier and TypeClassDescriptionstatic classFile action link.classFile or directory details for REST response.Method parameters in org.apache.juneau.microservice.examples with annotations of type SchemaModifier and TypeMethodDescriptionConfigResource.getConfigEntry(String section, String key) ConfigResource.getConfigEntry(String section, String key) ConfigResource.getConfigSection(String section) ConfigResource.setConfigContents(Reader contents) ConfigResource.setConfigSection(String section, Map<String, Object> contents) ConfigResource.setConfigSection(String section, Map<String, Object> contents) ConfigResource.setConfigValue(String section, String key, String value) ConfigResource.setConfigValue(String section, String key, String value) ConfigResource.setConfigValue(String section, String key, String value) org.apache.juneau.microservice.examples.DirectoryResource.RedirectToRootDirectoryResource.updateFile(InputStream is, String path) Adds or overwrites a file on the file system. -
Uses of Schema in org.apache.juneau.petstore.console.dev
Method parameters in org.apache.juneau.petstore.console.dev with annotations of type SchemaModifier and TypeMethodDescriptionvoidDashboardRest.series(RestRequest req, RestResponse res, String variant, String q, String start, String end, String lateOnly) Theorderssource:day,reason,orders, one row per UTC day. -
Uses of Schema in org.apache.juneau.petstore.console.orders
Method parameters in org.apache.juneau.petstore.console.orders with annotations of type SchemaModifier and TypeMethodDescriptionOrdersRest.query(DataTablesRequest req, String day, String start, String end) Server-mode DataTables query over all orders.OrdersRest.query(DataTablesRequest req, String day, String start, String end) Server-mode DataTables query over all orders.OrdersRest.query(DataTablesRequest req, String day, String start, String end) Server-mode DataTables query over all orders. -
Uses of Schema in org.apache.juneau.petstore.console.pets
Method parameters in org.apache.juneau.petstore.console.pets with annotations of type SchemaModifier and TypeMethodDescriptionPetsRest.query(DataTablesRequest req, String ids) Server-mode DataTables query over all pets. -
Uses of Schema in org.apache.juneau.rest.server.beans
Classes in org.apache.juneau.rest.server.beans with annotations of type SchemaModifier and TypeClassDescriptionclassConvenience subclass ofSeeOtherfor redirecting a response to the servlet root. -
Uses of Schema in org.apache.juneau.rest.server.remote
Method parameters in org.apache.juneau.rest.server.remote with annotations of type SchemaModifier and TypeMethodDescriptionRrpcServlet.invoke(Reader r, ReaderParser p, ContentType contentType, String javaInterface, String javaMethod) RrpcServlet.invoke(Reader r, ReaderParser p, ContentType contentType, String javaInterface, String javaMethod) RrpcServlet.listMethods(String javaInterface) RrpcServlet.showEntryForm(String javaInterface, String javaMethod) RrpcServlet.showEntryForm(String javaInterface, String javaMethod)